<?
include_once "db/dbElemento.class.php";
include_once "include/cripta.class.php";

class dbSeguimento extends dbElemento{

	function desencode($dados, $encode){
		$c= new cripta;
		$max=sizeof($dados);
		for ($i=0; $i<$max; $i++)
			$dados[$i]=$c->decLista($dados[$i] , $encode );
	
		return $dados;
	}

	function getListaConsulta($idu){
	
		$lista=$this->getListaComposta("seguimentoConsulta, seguimentoConsultaTipo, seguimentoConsultaFrequencia", $idCat, "seguimentoConsulta.*, seguimentoConsultaTipo.Categoria as sTipo , seguimentoConsultaFrequencia.Categoria as sFrequencia" , "data", "2" ,$offset, $limit, "" , "", "seguimentoConsulta.consultaTipo=seguimentoConsultaTipo.id and seguimentoConsulta.frequencia=seguimentoConsultaFrequencia.id and seguimentoConsulta.idu=$idu");
		
		
	
		return $lista;
	
	}

	function getListaMonitorizacao($idu){
	
		$encode=array('glicemiaJejum' , 'glicemiaPosP' , 'glicemiaT' , 'paPas' , 'paPad' , 'paPulso' , 'peso' , 'colestrol' , 'trigliceridos' , 'extra1' , 'extra2');
	
		$lista=$this->getListaComposta("seguimentoMonitorizacao", $idCat, '*' , "data", "2" ,$offset, $limit , "", "", "seguimentoMonitorizacao.idu=$idu");
		
		$lista=$this->desencode($lista, $encode);

		return $lista;
	}
	
	function getListaObjectivo($idu){
		
		$encode=array('nome','objectivo1','objectivo2','observacoes');
	
		$lista=$this->getListaComposta("seguimentoObjectivo", $idCat, '*' , "nome", "2" ,$offset, $limit , "", "", "seguimentoObjectivo.idu=$idu");
		
		$lista=$this->desencode($lista, $encode);
		
		return $lista;
	}
	
	function getListaPatologia($idu){
		$lista=$this->getListaComposta("seguimentoPatologia, seguimentoPatologiaCategoria", $idCat, 'seguimentoPatologia.*, seguimentoPatologiaCategoria.categoria' , "idPat", "2" ,$offset, $limit , "", "", "seguimentoPatologia.idPat= seguimentoPatologiaCategoria.id and seguimentoPatologia.idu=$idu");
		return $lista;
	}
	

	

}

?>